Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/py-scrapy: new aport

From: systmkor <systmkor_at_gmail.com>
Date: Fri, 19 Dec 2014 18:21:51 -0800

Python web scraping framework
http://scrapy.org/
---
 testing/py-scrapy/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/py-scrapy/APKBUILD
diff --git a/testing/py-scrapy/APKBUILD b/testing/py-scrapy/APKBUILD
new file mode 100644
index 0000000..dab6013
--- /dev/null
+++ b/testing/py-scrapy/APKBUILD
_at_@ -0,0 +1,41 @@
+# Contributor: Orion <systmkor_at_gmail.com>
+# Maintainer: Orion <systmkor_at_gmail.com>
+# Used https://aur.archlinux.org/packages/sc/scrapy/PKGBUILD as template
+pkgname=py-scrapy
+_pkgname="Scrapy"
+pkgver=0.24.4
+pkgrel=0
+pkgdesc="A fast high-level scraping and web crawling framework."
+url="http://scrapy.org/"
+arch="noarch"
+license="BSD"
+depends="python py-twisted libxml2 py-w3lib py-lxml py-six py-queuelib py-cssselect py-openssl"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages="" #"$pkgname-dev $pkgname-doc"
+source="https://pypi.python.org/packages/source/S/Scrapy/Scrapy-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+# prepare() {
+# 	local i
+# 	cd "$_builddir"
+# 	for i in $source; do
+# 		case $i in
+# 		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+# 		esac
+# 	done
+# }
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+md5sums="77bbfa482dedca8daa8c61b48b3925e5  Scrapy-0.24.4.tar.gz"
+sha256sums="286dfc278f575f5176892f45179b4ce25dcdc6270bbf2146a2f1ace39ba24d00  Scrapy-0.24.4.tar.gz"
+sha512sums="3f1b1c54ff0924191e6f0b655c037c3baa36844dcca3a9eaa5cb5f995e479e7fc730b296b3f5146687aa034c983f86a6418561687c430712a38f8b7d8ff15b6a  Scrapy-0.24.4.tar.gz"
-- 
2.2.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Dec 19 2014 - 18:21:51 GMT